> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Org

> Patch org via the Junction API. Requires authentication with your team API key.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request PATCH \
    --url https://api.management.junction.com/v1/org/{org_id} \
    --header 'X-Vital-Org-Key: <api-key>'
  ```
</RequestExample>


## OpenAPI

````yaml patch /v1/org/{org_id}
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}:
    patch:
      tags:
        - Org
      summary: Update Org
      operationId: update_org_v1_org__org_id__patch
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrgBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientFacingOrg'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateOrgBody:
      properties:
        name:
          type: string
          pattern: ^[A-Za-zÀ-ÖØ-öø-ÿ0-9(),/:'|&_\- ’]{0,80}$
          title: Name
      additionalProperties: false
      type: object
      required:
        - name
      title: UpdateOrgBody
    ClientFacingOrg:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
      type: object
      required:
        - id
        - name
        - expires_at
      title: ClientFacingOrg
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````

## Related topics

- [Patch Webhook](/api-reference/org-management/team-webhook/patch.md)
- [Update Lab Account Teams](/api-reference/org-management/lab-accounts/update-lab-account-teams.md)
- [Update a Continuous Query](/api-reference/sense/continuous-query/update.md)
- [Get Org](/api-reference/org-management/org/get-org.md)
- [Update Integration-Managed Member](/api-reference/org-management/connect/update-member.md)
